*{
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  margin: 0;
  padding: 0;
  color: #325596;
  box-sizing: border-box;
}


body, html {
  left: 0;
  right: 0;
  padding: 0;
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  color: #373737;
  scroll-behavior: smooth;
  scroll-padding-top: 350px; /* Falls nav 100px hoch ist */
  min-height: 100vh; /* Stellt sicher, dass die Seite die volle Hohe hat */
  display: flex;
  flex-direction: column;
  max-width: 100%;
  }



body{
  overflow-x:hidden;
}



  canvas {
    pointer-events: none;
    position: fixed; /* Fixiert das Canvas, sodass es nicht scrollt */
    top: 0;
    left: 0;
    width: 100vw; /* Breite = 100% der Ansicht */
    height: 100vh; /* Höhe = 100% der Ansicht */
    z-index: -1; /* Canvas wird hinter dem Inhalt angezeigt */
  }





/* Entferne unnötige Scrollbar-Stile */
*::-webkit-scrollbar {
  width: 0px;
  overflow-x: hidden;

}

*::-webkit-scrollbar-track {
  background: none;
  border:none;
  overflow-x: hidden;

}

*::-webkit-scrollbar-thumb {
  background: none;
  border:none;
  overflow-x: hidden;
}





/* Icon Hand*/
.far{
  font-size: 30px;
  color: #8172a9;
  right: 0 !important;
  bottom: 0;
  z-index: 10000 !important; /* Damit es über anderen Elementen bleibt*/
  position: static; /* Positionierung zurücksetzen*/
  padding: 0;
  display: inline-block; /* Oder entfernen, falls es flex war*/
  cursor: pointer;
}

.far:hover {
  border: 5px inset black;
  padding: 20px;
  border-radius: 15px;
}

.far:before{
  content: '\f0a6';
}




.trennlinie_1{
  border-top: 5px outset rgb(124, 34, 109);
  padding: 5px 10px;
  margin: 50px 80px;
}


.trennlinie_2{
  border-top: 5px outset rgb(218, 168, 83);
  padding: 3px 0;
  margin: 30px 80px;
}

.trennlinie_3{
  border-top: 5px outset #a3456b;
  padding: 3px 0;
  margin: 30px 80px;
}


.trennlinie_4{
  border-top: 6px outset rgb(68, 8, 45);
  padding: 3px 10px;
  margin: 30px 80px;
  align-items: center;
}

.trennlinie_5{
  border-top: 6px outset #522e30;
  padding: 3px 10px;
  margin: 50px 80px;
}







/* BEGIN figure - figcaption */
figure {
  justify-content: center;
  width: 100%;
  flex-direction: column;
  float: left;
}


figure figcaption{
  text-align: right;
  font-style: italic;
  font-size: 14px;
  color: #373737;
}


figure img{
width:350px;small
height: 200px;
padding: 0;
align-items: center;
text-align: center;
justify-content: center;
margin: 0 auto;
}

.facts_item h2{
  text-align: center !important;
  align-items: center;
  padding: 10px 0;
  font-weight: bold;
  font-size: 1.6rem !important;
  color: RGB(12, 166, 120) !important;
}
/* END figure - figcaption */






/* BEGIN Header - Rahmen einfuegen*/
header {
  left:50vh;
  right: 0;
  display: flex;
  border: 20px solid transparent; /* Platz fuer Rahmen */
  border-image: url("../images/wallpaper32.png") 30 round;
  position: fixed;
  z-index: 1000;
  flex-direction: column;
  height: auto;
  width: auto;
  clip-path: inset(0 round 30px); /* 30px abgerundete Ecken */
  overflow: hidden; /* Schneidet alles ausserhalb der runden Ecken ab */
  text-align: center;
  align-items: center;
}

header::before {
  content: "";
  position: absolute;
  top: -20px; left: -20px; right: -20px; bottom: -20px;
  border: 20px solid transparent;
  border-radius: 30px;
  pointer-events: none; /* Verhindert Klick-Probleme*/
}



.hero_text h1{
  font-size:4rem;
  text-align: center;
  align-items: center;
  color: rgb(124, 34, 109);
  font-family: "Lumanosimo", serif;
  font-weight: 400;
  font-style: normal;
  padding-bottom: 30px;
}



/* Bild einfuegen */
.hero_image{
  background-image: url("../images/cornelia01.png");
  width: 100vh;
  height:100vh;
  border-radius: 20px;
  align-items: center;
  text-align: center;
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: center;
  position: relative;
  margin-left:5%;
  top: 0;
  position: fixed;
}



.hero_text {
  text-align: center;
  align-items: center;
  color: white;
  width: 100%;
  height: auto;
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 3rem;
  text-shadow: 3px 3px 15px rgba(0, 0, 0, 0.7);
  padding:40px 40px 100px 40px;
}

.hero_text h1{
  font-family: "Lumanosimo", serif;
  font-weight: 400;
  font-style: normal;
  animation: fadeUp 1.5s ease-in-out forwards;
  color: white;

}

#myBtn {
  padding: 10px 20px;
  cursor: pointer;
  background-color: #ECDB54;
  border: 10px groove #834e56;
  font-size: 3rem;
  text-shadow: 5px 7px 10px #b5b69c;
  border-radius: 20px;
  font-family: "Laila", serif !important;
  top: 80%;
  left: 50%;
  text-align: center;
  align-items: center;
  color: white;
  width: 400px;
  height: auto;
  position: absolute;
  transform: translate(-50%, -50%);
  text-shadow: 3px 3px 15px rgba(0, 0, 0, 0.7);
}


#myBtn:hover {
  cursor: pointer;
  background-color: #e599f7;
  color:  #FF6547;
  text-shadow: none;
  font-weight: bold;
}

#myBtn:focus {
  outline: none;
}










/* Navbar bleibt oben fixiert */
.navbar {
  height: 350px;
  padding: 90px 10px;
  transition: all 0.4s ease;
  position: fixed;
  overflow: hidden;
  opacity: 0;
  z-index: 99;
  align-items: center;
  top: 0;
  left: 0;
  transition: 0.4s;
  display: flex;
  justify-content: space-between;
  flex-wrap: nowrap;
  width: 1800px;
  bottom: 100px;
  }

.navbar.visible{
  visibility: visible;
  opacity: 1;
}



/* Logo Styles */
#head_logo {
  display: flex;
  align-items: center;
  margin-left: 40px;
}

#head_logo img {
  width: 200px;
  height: 200px;
  border: 3px inset silver;
  border-radius: 20px;
}


/* Menue in der Navbar */
.menu {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  padding: 0;
  right: 0 ;
  float: right;
  flex: 1;
  margin-left: 8%;
}


/* Hier die Richtung der nav-Leiste einstellen */
.menu a {
  font-size: 1.8rem;
  padding: 15px 10px;
  text-decoration: none;
  color: RGB(173, 181, 189); /* Grau */
  display: flex;
  align-items: center;
  min-width:190px;
  justify-content: center;
  margin: 0 30px;
}



.menu a:hover{
  color: #373737; /* grey */
  font-weight: bold;
}



/* Einstellung "Weigel IT-Consulting"*/
.menu_active{
  color:black !important; /* schwarz */
  font-weight: bold !important;
  background-color: rgb(188, 238, 104); /* mintgruen */
  min-width: 190px;
  padding: 15px 0;
  margin-right: 30px;
  border-radius: 20px;
  cursor: none;
}

.menu_active:hover{
  cursor: none;
  font-weight: bold;
  color:black !important; /* schwarz */
}


.menu.show {
  display: none;
}



/* menubutton "Weigel IT-Consulting" */
.menu a:nth-of-type(3){
  align-items: center;
  min-width:330px;
}


.menu a:nth-of-type(3):hover{
  font-weight: bold;
  text-decoration: none;
}

.menu-icon {
  display: none;
}









/* Geschrumpfte Navbar */
.navbar.small {
  height: 100px; /* Kleinere Navbar */
  padding: 5px 10px;
  background-color: RGB(129, 114, 169);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: height 0.3s ease, padding 0.3s ease;
  display: flex;
  align-items: center;
  width: 100%;
}


/*.navbar.small .menu{
font-size: 1.3rem;
color: white;
float: right;
display: flex;
padding: 15px 50px;
}*/





.navbar.small .menu a{
  font-size: 1.3rem;
  color: white;
  padding: 5px 10px;
}



/* menubutton "Weigel IT-Consulting" */
.navbar.small .menu a:nth-of-type(4){
  align-items: center;
  min-width: 250px !important;
}

.navbar.small .menu a:nth-of-type(4):hover{
  font-weight: bold;
  text-decoration: none;
}


.navbar.small .menu .menu_active{
  color:  RGB(129, 114, 169);     /* lila */
}

/* Geschrumpftes Logo */
.navbar.small #head_logo img {
  width: 60px;
  height: 60px;
  padding-top:-200px;
}






/* Hamburger Menu Styles */
.menu-button-container {
  display: none;
  height: 40px;
  width: 40px;
  cursor: pointer;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.menu-button {
  width: 30px;
  height: 4px;
  background-color: white;
  border-radius: 2px;
  position: relative;
  transition: transform 0.3s ease;
}
/* Abstand zwischen den Strichen erhÃ¶hen */
.menu-button::before {
  top: -8px;
}

.menu-button::after {
  top: 8px;
}







/* Hamburger Button Animation */
#menu-toggle {
  display: none;
}

#menu-toggle:checked + .menu-button-container .menu-button {
  background-color: transparent;
}

#menu-toggle:checked + .menu-button-container .menu-button::before {
  transform: rotate(45deg);
}

#menu-toggle:checked + .menu-button-container .menu-button::after {
  transform: rotate(-45deg);
}






/* BEGIN Seitenleiste */
#steuerung_side{
  width: 370px;
  height: auto;
}


/* Menuezeichen*/
.toggle-btn {
  font-size: 30px;
  color:  RGB(188, 238, 104);
  background-color: transparent;
  position: fixed;
  top: 35vh;
  left: 40px;
  z-index: 9999;
  display: none;
  cursor: pointer;
  border: 8px inset silver !important;
  padding: 10px !important;
  border-radius: 20px !important;
}

.toggle-btn.visible{
  visibility: visible;
  opacity:1;
}



/* Menüzeichen (☰) */
.toggle-btn:hover{
  background-color: RGB(188, 238, 104);
  color: white;

}

.toggle-btn.sidebar_active {
  border: 8px inset white !important;
  padding: 10px !important;
  border-radius: 20px !important;
  background-color: RGB(188, 238, 104) !important;
  color: white;
}


/* BEGIN Sidebar */
.sidebar {
  margin-top:40vh;
  margin-left: 40px;
  height: 100%;
  width: 0;   /* 0 da Leiste ausklappbar */
  position: fixed;
  top: 0;
  left: 0;
  overflow: hidden;
  padding-top: 60px;
  z-index: 1000; /* Sicherstellen, dass die Seitenleiste immer oben ist */
  transition: left 0.5s ease;
  background: transparent;
  content: "";
}



.sidebar a {
  padding: 10px 15px;
  text-decoration: none;
  font-size: 25px;
  color:inherit;
  display: block;
  transition: 0.3s;
  text-align: left;
}

.sidebar a:hover {
  color: #f1f1f1;
  background-color:RGBA(76, 106, 146, 0.67);
}


.sidebar a.open {
  /*  left: 0; /* Sidebar anzeigen*/
  width: 370px;
}


.sidebar a.sidebar_active {
  background-color:  RGB(169, 227, 75); /* Hightlight fÃ¼r den aktiven Link */
  color:RGB(76, 106, 146);            /* grÃ¼n  */
  font-weight: bold;      /* optional: fetter Text */
  border: 8px outset RGB(76, 106, 146); /* Optional: optische Markierung am Rand */
  border-radius: 15px;
}



/* Mouseover*/
.sidebar a:hover:not(.sidebar_active) {
  background-color: RGBA(76, 106, 146, 0.67);
  color: RGB(148, 216, 45); /* gruen*/
  font-weight: bold;
  width: 100%;
  border: 8px outset RGB(148, 216, 45);
  border-radius: 15px;
}


/* Wenn die Sidebar sichtbar ist, zeige den Inhalt an*/
.sidebar.open + .main-content {
  display: block;
}



/* Allgemeine Schriftgroesse fuer alle Font Awesome Icons
/* Margin rechts anpassen */
.w3-margin-right {
  margin-right: 30px; /* Beispiel: 10px Abstand rechts */
  width: 20px; /* Breite des Icons */
  color: black; /* Beispiel: gruene Farbe */
  font-size: 1.5rem;
  text-transform: lowercase !important;
}
/* END Sidebar */




/* BEGIN BREADCRUMB*/
.breadcrumb {
  position: sticky;
  top: 250px; /* Stelle sicher, dass es unter der Nav-Leiste bleibt*/
  z-index: 999;
  width: 100%;
  height: 50px;
  align-items: center;
  background: transparent;
  margin-top: -28px;
  padding:  0;
  display: inline-flex;
}


/* Breadcrumb style*/
.breadcrumb ul {
  list-style-type: none;
  color: rgb(124, 34, 109);
  width: 100%;
  margin: 0;
  display: inline-flex;
  padding-top: -20px;
}

/* Gestaltung Links*/
.breadcrumb ul li a {
  text-decoration: none;
  color: rgb(124, 34, 109);
  font-size: 20px;
  padding: 25px 10px;
}

/* Hover-Effekt*/
.breadcrumb ul li a:hover {
  text-decoration: underline;
  padding-bottom: 15px;
  border-radius:15px;
}

/* Gestaltung von >>*/
.breadcrumb ul li + li:before {
  margin: 0 10px;
  content: ">>";
  font-size: 20px;
  color: rgb(124, 34, 109);
}


/* Gestaltung von >>*/
.breadcrumb ul li + li:before {
  margin: 0 10px 0 5px ;
  content: ">>";
  font-size: 20px;
  font-weight: normal;
  color: rgb(124, 34, 109);
  display: inline-flex;
  flex-direction: row;
  background-color: none;
}
/* END Seitenleiste */







/* fuer alte Browser-Versionen
main {
  display: block;
  width: 100%;
  height: auto;
}*/


/* Startbildschirm*/
/* BEGIN header*/

#header{
  position: fixed !important;
  }

/* #header.visible{
  visibility: visible;
  opacity: 1;

}*/











/* BEGIN gallery */
/* Hauptcontainer */
.gallery_container {
top:20px !important;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  width: 100%;
  height:100% ;
}

/* Galerie oben und unten */
.gallery_container_top,
.gallery_container_bottom {
  position: fixed;
  width: 100vw;
  height: 400px; /* Höhe der Galerien */
  background-color: black;
  overflow: hidden;
  white-space: nowrap;
}

.gallery_container_top {
  top: 0;
  z-index: 999 !important;
}

.gallery_container_bottom {
  bottom: 0;
  z-index: 999 !important;
}

/* Galerie-Animation */
.gallery {
  display: flex;
  flex-direction: row;
  width: 200%; /* Doppelte Breite für Endlosschleife */
  animation: scrollLeft 50s linear infinite;
}

.gallery-item {
  display: inline-block;
}

.gallery-item img {
  width: 250px;
  height: 400px; /* Kleinere Höhe, da Galerie horizontal ist */
  object-fit: cover;
  padding: 10px 15px;
}

/* Endlose horizontale Animation */
@keyframes scrollLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%); /* Hälfte der Breite verschieben */
  }
}


.header_main{
width:100% !important;
height:200px !important;
padding: 0;
top: 0;
margin: 0;
left: 0;
background-color: transparent !important;
overflow: hidden !important;
}

#header h2{
  margin-top: -20px !important;
  text-align: center !important;
  font-weight: bold !important;
}





/* ueber mich */
.main-content {
  position: relative;
  margin-top: 30vh !important;
  margin-left: 420px !important;
  margin-right: 200px !important;
  margin-bottom: 150px !important;
  transition: margin-left 0.5s ease;
  display: flex;
  border: 20px solid transparent !important ; /* Rahmen benoetigt Platz*/
  border-radius: 50px; /* Abgerundete Ecken des Rahmens*/
  box-sizing: border-box; /* Box-Sizing beruecksichtigen fuer die Berechnung der Groessee*/
  clip-path: inset(0 round 30px); /* 30px abgerundete Ecken*/
  border-image: url("../images/wallpaper33.png") 30 round !important;
  font-family: "Lumanosimo", serif;
  font-weight: 400;
  font-style: normal;
  z-index: 9;
  flex-direction: column;
  padding:10px 30px;
  width:1300px;
  height:100vh;
  text-align: center;
  /*overflow-y: auto;   /* Scrollbar fuer das Dropdown bei Bedarf*/
  overflow-x:hidden;
/*flex: 1; /* Füllt den verbleibenden Platz */
  background-color: transparent !important;
}



.main-content::before {
  content: "";
  position: absolute;
  top: -20px; left: -20px; right: -20px; bottom: -20px;
  border-image: url("../images/wallpaper33.png") 30 round !important;
  border-size: cover;
  border-radius: 50px; /* Abrundung des Rahmens*/
  z-index: -1; /* Hintergrund hinter den Inhalt legen*/
}

.main-content:target{
  display: block; /* Nur das Ziel-Element wird angezeigt */
}



/*.main-content, #header{
  margin-bottom: 200px !important
  flex: 1 !important;
}*/


.main-content h1{
  font-size: 4rem!important;
  text-align: center;
  align-items: center;
  color: rgb(124, 34, 109);
  font-family: "Lumanosimo", serif;
  font-weight: 400;
  font-style: normal;
  padding: 30px 0 20px 0;
}



.main-content h2{
  font-size:2rem;
  text-align: left;
  color: #325596;
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
}

.main-content h3{
  font-size:2rem;
  text-align: left;
  color: #373737;
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
/*margin-top: 50px;*/
}




.main-content ul{
  font-size: 2rem;
  /*  padding-left: -30px;*/
  text-align: left;
  color:#325596;
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
  padding: 10px 30px ;

}

.main-content ul li{
  list-style-type: "💎";
  font-size: 2rem;
  padding: 10px 30px ;
  text-align: left;
  color:#325596;
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
}

.main_content_image{
  width: 250px;
  height: 400px;
}





/*.img-comp-container{
  position: relative;
  z-index: 1;
  background-color: red; /* Falls nötig, um zu überdecken
  width: 100%;  /* Muss mindestens so groß sein wie das Bild
  height: 600px; /* Muss mindestens so groß sein wie das Bild
  visibility: visible !important;
  margin-left: 600px;
  margin-right: 600px;
  }


/* Bereich für Bild 01 + Bild02
.img-comp-img, .img-comp-overlay   {
  position: absolute;
  z-index: 10;
  width: 300px;
  height: 400px;
  /*z-index: 1; /* Überlagert das erste Bild
/* opacity: 1; /* Oder reduziere auf 0.5
}

 /*Bild 01
.img-comp-img img {
    position: absolute;
    width: 100%;
    height: 100%;
    vertical-align:middle;
    left: 0;
    top: 0;
    opacity: 0.5 /* Oder reduziere auf 0.5

}

/* Bild 02
.img-comp-overlay img {
    position: absolute;
    width: 300px;
    height: 400px;
    left: 0;
   z-index: 20; /* Überlagert das erste Bild
    opacity: 0.5 /* Oder reduziere auf 0.5
    vertical-align:middle;
}



.img-comp-slider {
      position: absolute;
    z-index: 9999; /* Stellt sicher, dass der Punkt sichtbar bleibt
      cursor: ew-resize;
      width: 40px;
      height: 40px;
      background-color: #2196F3;
    opacity:1;
      border-radius: 50%;
      border: 2px solid white;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
    margin: 0;
}







.img-comp-container h1{
  font-size:4rem;
  text-align: center;
  align-items: center;
  color: rgb(124, 34, 109);
  font-family: "Lumanosimo", serif;
  font-weight: 400;
  font-style: normal;
}


.img-comp-container h2{
  font-size:2rem;
  text-align: center !important;
  align-items: center !important;
  color: rgb(124, 34, 109);
  padding: 50px 0;
}*/

















/* Kommentare */
.participants_comments{
font-size:1-8rem;
text-align: center;
color: orange;
font-family: "Urbanist", serif;
font-optical-sizing: aut
font-weight: normal;}








/* Hinweis */
.hint {
  position: absolute;
  top: 15px;
  left: 20%;
  transform: translateX(-50%);
  background: RGB(134, 46, 156);
  color: white;
  padding: 8px 12px;
  border-radius: 5px;
  font-size: 14px;
  white-space: nowrap;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-in-out, visibility 0.5s ease-in-out;
}

.hint.show {
  opacity: 1;
  visibility: visible;
}

#menu-hint{
  display: none;
}






.custom-icon {
  font-size: 1.5rem; /* Groessere Icon */
  color: #373737;      /* Rote Farbe */
  /*transition: transform 0.3s ease; /* Animationseffekt */
}

i{
  text-transform: lowercase !important;
}

/*.custom-icon:hover {
  transform: scale(1.5); /* VergrÃ¶ÃŸern des Icons bei Hover
}*/
/* END Seitenleiste



/* Abschluesse mich und download CV */
.download_btn {
  background-color: DodgerBlue;
  border: none;
  color: white;
  padding: 12px 30px;
  cursor: pointer;
  font-size: 20px;
}

/* Darker background on mouse-over */
.download_btn:hover {
  background-color: RoyalBlue;
}







/* Skills */
.skills_container {
  width: 100%;
  background-color: transparent;
}

.skills {
  text-align: right;
  padding-top: 10px;
  padding-bottom: 10px;
  color: white;
}


.kommunikation {
  width: 90%; background-color: #04AA6D;
}

.tv {
  width: 80%; background-color: #2196F3;
}


.ms_office {
  width: 65%; background-color: #f44336;
}


.pm {
  width: 60%; background-color: #808080;
}

.cs {
  width: 40%; background-color: #a61e4d;
}
/* END skills */




/* BEGIN facts */
.facts_container {
  display: flex;
  justify-content: space-around;
  align-items: center;
  background-color: transparent;
  padding: 20px;
  border-radius: 10px;
  position: relative;
  margin-top: 50px;
  height: 500px;
}


.facts_container::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 100px;
  height: 10px;
  background-color: #f5a623;
}


.facts_item {
  text-align: center;
  position: relative;
  background-color: RGBA(216, 222, 233, 0.76);
  width: 400px;
  height: 300px;
  padding: 20px;
  border-left: 4px solid RGB(169, 227, 75);
  border-right: 4px solid RGB(169, 227, 75);
  margin: 0 5px;
}


.number_box {
  background-color: #f5a623;
  color: white;
  font-weight: bold;
  padding: 5px 10px;
  border-radius: 10px;
  position: absolute;
  top: -10px;
  left: 50%;
  margin-bottom: 30px;
  transform: translateX(-50%);
}


.facts_item_image {
  width: 80px;
  height: 80px;
  margin-top: 20px;
  margin-bottom: 10px;
}



/* reputation */
table {
  width: 100%;
  text-align: left;
  border-collapse: collapse;
  border: 1px solid #ddd;
  border-spacing: 0;
  border-width: thin 0 0 thin;
}


/*Spaltenueberschriften */
th {
  background-color: rgb(208, 195, 126);
  text-align: center;
  border-right: 1px inset rgb(120, 94, 208);
  border-left: 1px inset rgb(120, 94, 208);
  border-bottom: 2px outset rgb(242, 91, 51);
  font-size: 1.8rem;
  font-weight: bold;
  padding: 10px 0;
}

td, th {
  padding: 0.33rem 0.5rem;
  border-right: 1px inset rgb(120, 94, 208);
  border-left: 1px inset rgb(120, 94, 208);
  border-bottom: 2px outset rgb(242, 91, 51);
  font-size: 1.6rem;
}

tbody  {
  background-color:#eee;
}

tr:nth-of-type(even) {
  background-color:#fff;
}

td:first-child{
  font-weight: bold;
  font-size: 1.6rem;
  background-color: rgba(163, 163, 163, 0.72);
}




.comment-section {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    max-width: 600px;
    margin: 0 auto;
}

.comment_form textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    resize: vertical;
}

.comment_form button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.comment_form button:hover {
    background-color: #45a049;
}

.comments ul {
    list-style-type: none;
    padding: 0;
}

.comments li {
    background-color: #f9f9f9;
    border: 1px solid #ddd;
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
}
/* END Bereich "Reputation" */










/* social_media*/

.row{
  flex-direction: row;
  width: 100%;
  height: auto;
}

.left{
  float: left;
  width: 50%;
  height: auto;
  padding: 20px;
  margin: 0;
  gap: 20px;
}



.right{
  float: right;
  width: 50%;
  height: auto;
  padding: 20px;
  margin: 0;
  gap: 20px;
  overflow: visible !important;
}


.flip_container {
    perspective: 1000px !important; /* 3D-Tiefe */
    display: block;
    margin-bottom: 30px;
}











.flip_container:hover .flipper {
    transform: rotateX(180deg);
}

.front, .back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 20px;
}










.front {
    color: white;
    font-size: 18px;
    font-weight: bold;
}


.back {
    transform: rotateX(180deg); /* Rückseite richtig herum */
}


.back a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}


.back_image {
    width: 90px;
    height: 60px;
    display: block;
    background: transparent;
    transform: rotateX(360deg) scaleX(1); /* Um 180° drehen & spiegeln*/
}


.back_image:hover {
    transform: scale(1.1) scaleX(-1); /* Zoom mit beibehaltenem Spiegel */
    transition: transform 0.6s ease-in-out;
}




/*.back_image {
  width: 60px;
  height: 60px;
  display: block; /* Falls inline nicht funktioniert
 z-index: 9999 !important;
  background: transparent;
  justify-content: center;
  align-items: center;
  backface-visibility: visible; /* Testweise sichtbar machen
}*/



/* Rot (Dunkel → Hell)*/
.flipper_red {
  background: linear-gradient(to bottom, #8B0000, #FF6347);
    position: relative;
    width: 100%;
    height: 80px;
    text-align: center;
    transform-style: preserve-3d;
    transition: transform 0.6s;
    border-radius: 20px;
    margin-bottom: 30px;
}
.flipper_red .back {
    transform: rotateX(180deg);
    background: linear-gradient(to bottom, #8B0000, #FF6347);

}

.flip_container:hover .flipper_red{
    transform: rotateX(180deg); /* Um 180° drehen & spiegeln*/
}







/* Grün (Dunkel → Hell)*/
.flipper_green {
  background: linear-gradient(to bottom, #006400, #32CD32);
  position: relative;
  width: 100%;
  height: 80px;
  text-align: center;
  transform-style: preserve-3d !important;
  transition: transform 0.6s;  /* Sanfte Übergänge*/
  border-radius: 20px;
margin-bottom: 30px;
}

.flip_container:hover .flipper_green {
    transform: rotateX(180deg);
}

.flipper_green .back {
    transform: rotateX(180deg);
    background: linear-gradient(to bottom, #006400, #32CD32);

}




/* Blau (Dunkel → Hell)*/
.flipper_blue {
  background: linear-gradient(to bottom, #00008B, #1E90FF);
  position: relative;
  width: 100%;
  height: 80px;
  text-align: center;
  transform-style: preserve-3d;
  transition: transform 0.6s;  /* Sanfte Übergänge*/
  border-radius: 20px;
  margin-bottom: 30px;
}

.flip_container:hover .flipper_blue {
    transform: rotateX(180deg);
}


.flipper_blue .back {
    transform: rotateX(180deg);
    background: linear-gradient(to bottom, #00008B, #1E90FF);
}





/* rechte Seite - Lila (Dunkel → Hell)*/
.flipper_purple {
  background: linear-gradient(to bottom, #4B0082, #BA55D3);
  position: relative;
  width: 100%;
  height: 80px;
  text-align: center;
  transform-style: preserve-3d;
  transition: transform 0.6s;  /* Sanfte Übergänge*/
  border-radius: 20px;
  margin-bottom: 30px;
}


.flip_container:hover .flipper_purple{
    transform: rotateX(180deg) ; /* Um 180° drehen & spiegeln*/
}



.flipper_purple .back {
    transform: rotateX(180deg);
    background: linear-gradient(to bottom, #4B0082, #BA55D3);

}


/* Gelb (Dunkel → Hell)*/
.flipper_yellow {
  background: linear-gradient(to bottom, #B8860B, #FFD700);
  position: relative;
  width: 100%;
  height: 80px;
  text-align: center;
  transform-style: preserve-3d;
  transition: transform 0.6s;  /* Sanfte Übergänge*/
  border-radius: 20px;
  margin-bottom: 30px;
}


.flip_container:hover .flipper_yellow{
    transform: rotateX(180deg); /* Um 180° drehen & spiegeln*/
}

.flipper_yellow .back {
    transform: rotateX(180deg);
    background: linear-gradient(to bottom, #B8860B, #FFD700);
}




/* Türkis (Dunkel → Hell)*/
.flipper_turquoise {
  background: linear-gradient(to bottom, #008B8B, #40E0D0);
  position: relative;
  width: 100%;
  height: 80px;
  text-align: center;
  transform-style: preserve-3d ;
  transition: transform 0.6s;  /* Sanfte Übergänge*/
  border-radius: 20px;
  margin-bottom: 30px;
}


.flip_container:hover .flipper_turquoise{
    transform: rotateX(180deg); /* Um 180° drehen & spiegeln*/
}


.flipper_turquoise .back {
    transform: rotateX(180deg);
    background: linear-gradient(to bottom, #008B8B, #40E0D0);
}







/* an den Seitenanfang springen*/
#top {
  display: inline-block;
  padding: 10px;
  color: #373737;
  text-decoration: none;
  border-radius: 15px;
  font-size: 22px;
  cursor: default;
  transition: transform 0.3s ease;
  scroll-margin-top: 280px; /* Passe die Höhe der `nav`-Leiste an */
}


#top:hover {
  /*color: rgb(210, 141, 48);*/
  font-weight: bolder;
  /*text-decoration: none;*/
  padding: 5px;
  transform: scale(1.1); /* Vergrößern um 10% */
  color:#373737;
  text-decoration: underline #f9d66c;
}



/*Hand rauf / @keyframes swing {
0% { transform: translateY(0); }
25% { transform: translateY(-10px); }
50% { transform: translateY(0); }
75% { transform: translateY(10px); }
100% { transform: translateY(0); }
}*/




/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  /*background-color: rgb(0,0,0); /* Fallback color
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  -webkit-animation-name: fadeIn; /* Fade in the background */
  -webkit-animation-duration: 0.4s;
  animation-name: fadeIn;
  animation-duration: 0.4s
}















/* Modal Content */
.modal-content {
  position: fixed;
  bottom: 0;
  background:orange;
  width: 100%;
  -webkit-animation-name: slideIn;
  -webkit-animation-duration: 0.4s;
  animation-name: slideIn;
  animation-duration: 0.4s
}

/* The Close Button */
.close {
  color: white;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.modal-header {
  padding: 2px 16px;
  background:orange;
  color: #373737;
  border: none;
}

.modal-body {
  padding: 2px 16px;
  color: #373737;
  background:orange;
  margin-left: 10%;
  gap: 25px;
  border: none;
}













.main_box{
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: row;
}









#profilbutton{
  display: inline-block;
  padding: 10px;
  border: 5px inset #f9d66c;
  color: #373737;
  text-decoration: none;
  border-radius: 15px;
  font-size: 1.8rem;
  cursor: pointer;
  margin: 0 5px;
  transition: transform 0.3s ease;
}


/* Stil für den Button beim Überfahren mit der Maus */
#profilbutton:hover {
  transform: scale(1.1); /* Vergrößern um 10% */
  color:#373737;
  text-decoration: underline #f9d66c;

}




/* Play-button Kapitel "Musik"*/
audio{
  color: inset;
  width: 300px
  height:100px;
  margin-top: 20px;
  align-items: center;
  padding: 0 10px;
}












.slider {
  display: flex;
  width: 200%;
  animation: scroll 15s linear infinite;
}
.slider img {
  width: 50px;
  height: auto;
  margin: 0 10px;
}
.slider-container {
  width: 45vw;
  overflow: hidden;
  white-space: nowrap;
  position: relative;
}
@keyframes scroll {
  from {
    transform: translateX(0%);
  }
  to {
    transform: translateX(-50%);
  }
}





/* Fussbereich */
/* Inhalt der 4 Spalten */
#footer{
  position: fixed;
  width: 1300px !important;
  padding: 10px 0;
  background-color: RGB(129, 114, 169); /* lila */
  font-size: 20px;
  bottom: 0;
  color: white !important;
  text-align: center;
  height: 150px;
  z-index: 9999 !important;
  float: left;
  transition: opacity 0.3s ease;  /* Sanfte Übergangseffekte */
  opacity:0;  /* Anfangs unsichtbar */
  left: 420px;
  right: 200px;
  margin-top: 200px !important;
  flex-direction: column;
border-radius: 20px;
}

 /* Die Klasse, die den Footer sichtbar macht */
#footer.show {
   opacity: 1;  /* Footer sichtbar */
 }

#footer.hidden {
   opacity: 0;
   width: 100% !important;
   z-index: 999;
 }


    /* Button, um den Footer ein-/auszufahren */
    .toggle-button {
      position: fixed;
      bottom: 0px;
      right: 40px;
      padding: 8px 15px;
      background: #f04;
      color: white !important;
      border: 5px outset white;
      cursor: pointer;
      border-radius: 20px;
      z-index: 9999 !important;
    }

        /* Button, um den Footer ein-/auszufahren */
      #toggle-button {
    display: none;
    overflow: hidden;
    }



.footer_container{
  width:100%;
  margin: 0;
  color: white !important;
}




/* Spalten*/
.footer_row{
display: flex;
flex-direction: row;
padding: 0;
width: 100%;
flex: 1;
margin-left: 50px;
margin-right: 50px;
}




/* 1. Spalte*/
.col01{
padding: 0 30px;
min-width: 380px;
}




.MyFooter ul{
  list-style: none;
  display:  flex;
  flex-direction: column;
  text-align: left;
}


.MyFooter ul li{
  list-style: none;
  padding-bottom: 10px;
  float: left;
}

.MyFooter ul li a{
  color: white;
  text-decoration: none;
  font-weight: none;
  transition: all 0.5s ease;
}

.MyFooter ul li a:hover{
  color: rgb(204, 143, 50);
  text-decoration: none;
  font-weight: bold;
}

/* 2. Spalte */
.col02{
  padding: 0 10px;
  min-width: 400px;

  }


.col02 h1{
  color: white !important;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 19px;
  font-weight: normal;
}


.col02 h2{
  padding-top: 3px;
  color: white !important;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 15px;
  font-weight: normal;
}




/* 3. Spalte */
.col03{
  padding: 0 10px;
  width: 450px !important;
}

.col03 h1{
  color: white !important;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 19px;
  font-weight: normal;
}


.social-links a{
  display: inline-block;
  height: 40px;
  width: 40px;
  background-color: rgba(255,255,255,0.2);
  margin:0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  color: white;
  transition: all 0.5s ease;
}

.social-links a:hover{
  color: rgb(204, 143, 50);
  background-color: #ffffff;
  text-decoration: none;
}






.footer_bottom ul{
margin-top: -10px;
  padding-top: 15px;
  width: 100%;
  float: left;
  list-style: none;
  text-align: center;
  display: inline;
}

.footer_bottom ul li{
  align-items: center;
  display: inline;
}

.footer_bottom ul li a{
  color: inherit;
  text-decoration: none;
}

.footer_buttom ul li a:hover{
  color: #e06228;
  text-decoration: none;
}







.previous {
  background-color: inherit;
  color: white !important;
  width: 250px;
  height: 70px;
  text-decoration: none;
  padding: 5px 18px;
  font-weight: bold;
}

.previous:hover {
  background-color: inherit;
  color: #914f11;
  text-decoration: none;
  border: 5px inset #914f11;
  border-radius: 15px;
}

/* Seite vorwaerts */
.middle {
  background-color: transparent;
  color: white !important;
  width: 250px;
  height: 70px;
  text-decoration: none;
  padding: 5px 18px;
  font-weight: bold;
  border: 5px inset white;
  border-radius: 15px;
  margin:0 5px
}

/* Seite vorwaerts */
.middle:hover {
  text-decoration: underline;
  }



/* Seite vorwaerts */
.next {
  background-color: inherit;
  color: white !important;
  width: 250px;
  height: 70px;
  text-decoration: none;
  padding: 5px 18px;
  font-weight: bold;
}


.next:hover {
  background-color: inherit;
  color: rgb(124, 34, 109);
  text-decoration: none;
  border: 5px inset rgb(124, 34, 109);
  border-radius: 15px;
}


.next:active{
  background-color: RGBA(238, 190, 250, 0.76);
}

.previous:active{
  background-color: RGBA(255, 169, 77, 0.76);
}




/* Mobile Optimierung */
@media (max-width: 768px) {
  .container {
    flex-direction: column;
    align-items: center;
  }

  .col-6 {
    width: 90%; /* Spalten nehmen 90% der Breite auf mobilen Geräten ein */
    margin-bottom: 20px;
  }
}



/* Responsive layout - makes the three columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .column {
    width: 100%;
  }
}
